
#import <Foundation/Foundation.h>
#import <Metal/Metal.h>

@interface MBEDeviceCapabilities : NSObject

+ (instancetype)capabilitiesWithDevice:(id<MTLDevice>)device;

@property (readonly) NSUInteger highestSupportedFeatureSet;
@property (readonly) NSUInteger featureSetGPUFamily;
@property (readonly) NSUInteger featureSetVersion;
@property (readonly) NSUInteger maximumRenderPassColorAttachments;
@property (readonly) BOOL supportsASTCPixelFormats;

@end
